Page MenuHomePhabricator

[analyzer] Store design discussions in docs/analyzer for future use.
ClosedPublic

Authored by NoQ on Aug 15 2017, 6:47 AM.

Details

Summary

Because i tend to raise important design questions in weird places like tiny phabricator patches, we had a thought that it's better to archive them in docs/analyzer for future reference. We should be able to pick them up whenever time comes to solve these problems.

I initialize a new folder in docs/analyzer for this sort of stuff with the discussion in D35216; we also have a few more discussions that might look good in such archive.

Diff Detail

Repository
rL LLVM

Event Timeline

NoQ created this revision.Aug 15 2017, 6:47 AM
xazax.hun edited edge metadata.Aug 15 2017, 6:53 AM

Good idea!

I think some of your extremely helpful responses from the mailing list would worth archiving in a form of documentation as well.
Also, as far as I can recall, you are also maintaining a pdf which is a very good reference. In some form, I would love to see that information upstream too.

dcoughlin edited edge metadata.Aug 16 2017, 7:57 AM

Thanks for doing this!

zaks.anna edited edge metadata.Aug 27 2017, 12:35 AM

I think we should have these is .rst format as this is what the rest of the documentation predominantly uses. (Note, the formatting can be very basic, it's the format that I care about.)

Otherwise, great to see this addition!

NoQ updated this revision to Diff 116520.Sep 25 2017, 4:48 AM

Update to use .rst formatting.

zaks.anna accepted this revision.Sep 25 2017, 12:53 PM

Thanks!

This revision is now accepted and ready to land.Sep 25 2017, 12:53 PM
This revision was automatically updated to reflect the committed changes.